Bug 1312298 - (CVE-2016-2117) CVE-2016-2117 kernel: Kernel memory leakage to ethernet frames due to buffer overflow in ethernet drivers
CVE-2016-2117 kernel: Kernel memory leakage to ethernet frames due to buffer ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160316,reported=2...
: Security
Depends On: 1318336 1320105 1320106 1320107 1320108 1320109
Blocks: 1312299
  Show dependency treegraph
 
Reported: 2016-02-26 05:52 EST by Adam Mariš
Modified: 2016-11-03 17:48 EDT (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
It was discovered that the atl2_probe() function in the Atheros L2 Ethernet driver in the Linux kernel incorrectly enabled scatter/gather I/O. A remote attacker could use this flaw to obtain potentially sensitive information from the kernel memory.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-26 05:52:43 EST
It was reported that due to buffer overflow, it is possible for remote TCP endpoint to trigger the opposite TCP endpoint to write to a socket in sequence which causes the ethernet driver to send arbitrary kernel data over the ethernet interface instead of a portion of the intended packet data.

Initially this issue was believed to be present in a number of mainline drivers in 3.10.x and 4.4.2 vanilla kernel sources. After further investigation it was found that only [atl2] driver (code in drivers/net/ethernet/atheros/atlx/atl2.c) from the list of suspected drivers is vulnerable.

As a result, certain conditions should be met to trigger the issue:
- the [atl2] driver and the corresponding network card (which believed to be not so frequently used) should be present on the target system
- an application should make such a sequence of calls that a network buffer for the data to be transmitted is scattered
- hardware checksumming should be enabled so the packet checksum is correct

The above makes this vulnerability less probable to be hit.
Comment 1 Andrej Nemec 2016-03-16 10:40:38 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1318336]
Comment 2 Andrej Nemec 2016-03-16 10:41:00 EDT
Public via:

http://seclists.org/oss-sec/2016/q1/658
Comment 3 Vladis Dronov 2016-03-22 05:46:53 EDT
Acknowledgments:

Name: Justin Yackoski (Cryptonite)
Comment 4 Vladis Dronov 2016-03-22 05:59:52 EDT
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 as the code with the flaw is not present in the products listed.

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 6 as the suspected driver does not advertise that it has scatter-gather feature, which presence is essential for the flaw.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2, namely the [atl2] Ethernet driver which is the only driver affected. Future Linux kernel updates for the respective releases might address this issue.
Comment 11 errata-xmlrpc 2016-11-03 11:45:13 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html
Comment 12 errata-xmlrpc 2016-11-03 15:42:52 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html
Comment 13 errata-xmlrpc 2016-11-03 17:33:06 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html
Comment 14 errata-xmlrpc 2016-11-03 17:48:14 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html

Note You need to log in before you can comment on or make changes to this bug.